libzypp 17.37.10

RpmDb.h File Reference
`#include <iosfwd>`
`#include <list>`
`#include <vector>`
`#include <string>`
`#include <functional>`
`#include <zypp/Pathname.h>`
`#include <zypp/ExternalProgram.h>`
`#include <zypp/Package.h>`
`#include <zypp/KeyRing.h>`
`#include <zypp/target/rpm/RpmFlags.h>`
`#include <zypp/target/rpm/RpmHeader.h>`
`#include <zypp/target/rpm/RpmCallbacks.h>`
`#include <zypp/target/rpm/librpmDb.h>`
`#include <zypp/ZYppCallbacks.h>`

Go to the source code of this file.

## Classes
class | zypp::target::rpm::RpmDb
| Interface to the rpm program. More...
struct | zypp::target::rpm::RpmDb::db_const_iterator
| Wrapper providing a librpmDb::db_const_iterator for this RpmDb. More...
struct | zypp::target::rpm::RpmDb::CheckPackageDetail
| Detailed rpm signature check log messages A single multiline message if CHK_OK. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::target
namespace | zypp::target::rpm